[pacman-dev] [PATCH v2] Do not use checkout directory for SVN config

Allan McRae allan at archlinux.org
Thu Apr 11 19:45:11 EDT 2013


Using the checkout directory for the SVN config can result in clashes
between config files and files from the SVN checkout.  Instead, use
a ".makepkg" directory within the checkout.

Signed-off-by: Allan McRae <allan at archlinux.org>
---

v2 - Create the config directory before checkout (or SVN silently does not use it...)

 scripts/makepkg.sh.in | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index 67ee22a..4d9176a 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -705,7 +705,8 @@ download_svn() {
 
 	if [[ ! -d "$dir" ]] || dir_is_empty "$dir" ; then
 		msg2 "$(gettext "Cloning %s %s repo...")" "${repo}" "svn"
-		if ! svn checkout --config-dir "$dir" "$url" "$dir"; then
+		mkdir -p "$dir/.makepkg"
+		if ! svn checkout --config-dir "$dir/.makepkg" "$url" "$dir"; then
 			error "$(gettext "Failure while downloading %s %s repo")" "${repo}" "svn"
 			plain "$(gettext "Aborting...")"
 			exit 1
-- 
1.8.2.1



More information about the pacman-dev mailing list